Dienste auflisten
Namespace: microsoft.graph
Dient zum Abrufen einer Liste der bookingService-Objekte in der angegebenen bookingBusiness.Get a list of bookingService objects in the specified bookingBusiness.
Berechtigungen
Eine der nachfolgenden Berechtigungen ist erforderlich, um diese API aufrufen zu können. Weitere Informationen, unter anderem zur Auswahl von Berechtigungen, finden Sie im Artikel zum Thema Berechtigungen.
| Berechtigungstyp | Berechtigungen (von der Berechtigung mit den wenigsten Rechten zu der mit den meisten Rechten) |
|---|---|
| Delegiert (Geschäfts-, Schul- oder Unikonto) | Bookings.Read.All, BookingsAppointment.ReadWrite.All, Bookings.ReadWrite.All, Bookings.Manage.All |
| Delegiert (persönliches Microsoft-Konto) | Nicht unterstützt |
| Anwendung | BookingsAppointment.ReadWrite.All, Bookings.Read.All |
HTTP-Anforderung
GET /solutions/bookingBusinesses/{id}/services
Optionale Abfrageparameter
Diese Methode unterstützt die OData-Abfrageparameter $count und $expand, um die Antwort anzupassen.
Anforderungsheader
| Name | Beschreibung |
|---|---|
| Authorization | Bearer {code}. Erforderlich. |
Anforderungstext
Geben Sie für diese Methode keinen Anforderungstext an.
Antwort
Wenn die Methode erfolgreich verläuft, werden der 200 OK Antwortcode und eine Sammlung von bookingService-Objekten im Antworttext zurückgegeben.
Beispiel
Anforderung
Nachfolgend sehen Sie ein Beispiel der Anforderung.
GET https://graph.microsoft.com/v1.0/solutions/bookingBusinesses/Contosolunchdelivery@contoso.onmicrosoft.com/services
Antwort
Nachfolgend sehen Sie ein Beispiel der Antwort.
Hinweis: Das hier gezeigte Antwortobjekt kann zur besseren Lesbarkeit gekürzt werden.
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/solutions/$metadata#bookingBusinesses('Contosolunchdelivery%40contoso.onmicrosoft.com')/services",
"value": [
{
"id": "f9b9121f-aed7-4c8c-bb3a-a1796a0b0b2d",
"displayName": "Initial service",
"defaultDuration": "PT10M",
"defaultPrice": 0,
"defaultPriceType": "notSet",
"description": "Not sure how to choose? Let us introduce you to our traditional family recipes.",
"isHiddenFromCustomers": false,
"notes": "This is where you can add notes about this service that only you and your staff see.",
"preBuffer": "PT0S",
"postBuffer": "PT0S",
"staffMemberIds": [],
"isLocationOnline": true,
"smsNotificationsEnabled": true,
"webUrl": "https://outlook.office365.com/owa/calendar/Contosolunchdelivery@contoso.onmicrosoft.com/bookings/s/gkcGIq92Z0u5h4ABB9Qgce5",
"schedulingPolicy": null,
"defaultLocation": {
"displayName": "Contoso Lunch Delivery",
"locationEmailAddress": null,
"locationUri": "",
"locationType": null,
"uniqueId": null,
"uniqueIdType": null,
"address": {
"street": "4567 First Street",
"city": "Buffalo",
"state": "NY",
"countryOrRegion": "USA",
"postalCode": "98052"
},
"coordinates": {
"altitude": null,
"latitude": null,
"longitude": null,
"accuracy": null,
"altitudeAccuracy": null
}
},
"defaultReminders": []
},
{
"id": "57da6774-a087-4d69-b0e6-6fb82c339976",
"displayName": "Catered bento",
"defaultDuration": "PT30M",
"defaultPrice": 10,
"defaultPriceType": "fixedPrice",
"description": "Catered individual bento box lunch",
"isHiddenFromCustomers": false,
"notes": "Home-cooked special",
"preBuffer": "PT5M",
"postBuffer": "PT10M",
"staffMemberIds": [],
"isLocationOnline": true,
"smsNotificationsEnabled": false,
"webUrl": "https://outlook.office365.com/owa/calendar/Contosolunchdelivery@contoso.onmicrosoft.com/bookings/s/gpcGIq92Z0u5h6ABB9Qgrt5",
"defaultLocation": {
"displayName": "Contoso Lunch Delivery",
"locationEmailAddress": null,
"locationUri": "",
"locationType": null,
"uniqueId": null,
"uniqueIdType": null,
"address": {
"street": "4567 First Street",
"city": "Buffalo",
"state": "NY",
"countryOrRegion": "USA",
"postalCode": "98052"
},
"coordinates": {
"altitude": null,
"latitude": null,
"longitude": null,
"accuracy": null,
"altitudeAccuracy": null
}
},
"defaultReminders": [],
"schedulingPolicy": {
"timeSlotInterval": "PT1H",
"minimumLeadTime": "PT10H",
"maximumAdvance": "P10D",
"sendConfirmationsToOwner": true,
"allowStaffSelection": true
}
},
{
"id": "635a7b7c-4230-4d3b-a42b-698e89927528",
"displayName": "Kaiseki",
"defaultDuration": "PT1H30M",
"defaultPrice": 30,
"defaultPriceType": "fixedPrice",
"description": "Individual kaiseki lunch delivery",
"isHiddenFromCustomers": false,
"notes": "Home-cooked special",
"preBuffer": "PT5M",
"postBuffer": "PT10M",
"staffMemberIds": [],
"isLocationOnline": true,
"smsNotificationsEnabled": true,
"webUrl": "https://outlook.office365.com/owa/calendar/Contosolunchdelivery@contoso.onmicrosoft.com/bookings/s/bplGIq92Z0u5h4FWB9Qgvu7",
"defaultLocation": {
"displayName": "Contoso Lunch Delivery",
"locationEmailAddress": null,
"locationUri": "",
"locationType": null,
"uniqueId": null,
"uniqueIdType": null,
"address": {
"street": "4567 First Street",
"city": "Buffalo",
"state": "NY",
"countryOrRegion": "USA",
"postalCode": "98052"
},
"coordinates": {
"altitude": null,
"latitude": null,
"longitude": null,
"accuracy": null,
"altitudeAccuracy": null
}
},
"defaultReminders": [],
"schedulingPolicy": {
"timeSlotInterval": "PT1H",
"minimumLeadTime": "PT10H",
"maximumAdvance": "P10D",
"sendConfirmationsToOwner": true,
"allowStaffSelection": true
}
}
]
}
Feedback
Feedback senden und anzeigen für